ChangeSet 1.1760.26.20, 2004/06/29 09:46:24-07:00, torsten.scherer@uni-bielefeld.de

[PATCH] USB Storage: unusual_devs.h addition

took me a while to get my external usb drive running under linux-2.6.6,
appears to need the appended fix. according to the header in unusual_devs.h
one should send them to you, so here you go.

the funny thing is that it works fine unter linux-2.6.0-test11 on different
hardware, but then i'm out of my depth concerning what might have been
changed in the usb driver in the meantime. i don't really follow the
changes. i didn't find any real documentation about what these flags do,
only a couple of "my usb drive worked with 2.4 but doesn't work any more
with 2.6" messages on the web, and some of them pointed to unusual_devs.h. i
do not claim to know what i've done with this fix, but i'd like to see it
officially included. :-)


T:  Bus=04 Lev=01 Prnt=01 Port=02 Cnt=01 Dev#=  2 Spd=480 MxCh= 0
D:  Ver= 2.00 Cls=00(>ifc ) Sub=00 Prot=00 MxPS=64 #Cfgs=  1
P:  Vendor=0402 ProdID=5621 Rev= 1.03
S:  Product=USB 2.0 Storage Device
S:  SerialNumber=00042222200000113608
C:* #Ifs= 1 Cfg#= 1 Atr=c0 MxPwr=  0mA
I:  If#= 0 Alt= 0 #EPs= 2 Cls=08(stor.) Sub=06 Prot=50 Driver=usb-storage
E:  Ad=81(I) Atr=02(Bulk) MxPS= 512 Ivl=0ms
E:  Ad=02(O) Atr=02(Bulk) MxPS= 512 Ivl=0ms



Signed-off-by: Greg Kroah-Hartman <greg@kroah.com>


 drivers/usb/storage/unusual_devs.h |   10 ++++++++++
 1 files changed, 10 insertions(+)


diff -Nru a/drivers/usb/storage/unusual_devs.h b/drivers/usb/storage/unusual_devs.h
--- a/drivers/usb/storage/unusual_devs.h	2004-06-29 16:25:10 -07:00
+++ b/drivers/usb/storage/unusual_devs.h	2004-06-29 16:25:10 -07:00
@@ -73,6 +73,16 @@
 		US_SC_8070, US_PR_SCM_ATAPI, init_8200e, 0), 
 #endif
 
+/* <torsten.scherer@uni-bielefeld.de>: I don't know the name of the bridge
+ * manufacturer, but I've got an external USB drive by the Revoltec company
+ * that needs this. otherwise the drive is recognized as /dev/sda, but any
+ * access to it blocks indefinitely.
+ */
+UNUSUAL_DEV(  0x0402, 0x5621, 0x0103, 0x0103,
+		"Revoltec",
+		"USB/IDE Bridge (ATA/ATAPI)",
+		US_SC_DEVICE, US_PR_DEVICE, NULL, US_FL_FIX_INQUIRY),
+
 /* Deduced by Jonathan Woithe <jwoithe@physics.adelaide.edu.au>
  * Entry needed for flags: US_FL_FIX_INQUIRY because initial inquiry message
  * always fails and confuses drive.
